ARTSPPINC = -I@artspp@/include
ARTSPPLIB = -L@artspp@/lib -lArts
SNMPPINC  = -I../../snmp++/classes/include
SNMPPPLIB = ../../snmp++/classes/lib/libsnmp++.la
CFDINC    = -I../../classes/include -I../../include -I.
CFDLIB    = ../../classes/lib/libCfd.la
OBJECTS   = cfdportmatrix.o
CXX       = @CXX@
CXXFLAGS  = @CXXFLAGS@
top_builddir = ../..
LIBTOOL = @ /bin/sh $(top_builddir)/libtool

all: cfdportmatrix

cfdportmatrix: ${OBJECTS} ${CFDLIB}
	${LIBTOOL} ${CXX} ${CXXFLAGS} ${OBJECTS} ${CFDLIB} ${ARTSPPLIB} \
	  ${SNMPPPLIB} @FLEXLIB@ @LIBS@ -o cfdportmatrix -rpath @artspp@/lib

cfdportmatrix.o: cfdportmatrix.cc
	${CXX} ${CXXFLAGS} -c cfdportmatrix.cc ${CFDINC} ${ARTSPPINC} \
	 ${SNMPPINC}

clean::
	rm -f ${OBJECTS} cfdportmatrix
	rm -Rf .libs

strip: all
	@ -if [ -f .libs/cfdportmatrix ]; then \
	  strip .libs/cfdportmatrix ; \
	else \
	  strip cfdportmatrix ; \
	fi

install: all
	${LIBTOOL} ../../install-sh -c -m 555 cfdportmatrix @bindir@/cfdportmatrix
	../../install-sh -c -m 444 cfdportmatrix.man @mandir@/manl/cfdportmatrix.l

tarball::
	@TAR@ -uvf ../../@PKG_VERSION@_@OSNAME@.tar @bindir@/cfdportmatrix
	@TAR@ -uvf ../../@PKG_VERSION@_@OSNAME@.tar @mandir@/manl/cfdportmatrix.l



